Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.rtf.rtflib.rtfdoc
Class RtfListItem

    java.lang.Object
      org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement
          org.apache.fop.render.rtf.rtflib.rtfdoc.RtfContainer
              org.apache.fop.render.rtf.rtflib.rtfdoc.RtfListItem

All Implemented Interfaces:
  IRtfListContainer, IRtfParagraphContainer, IRtfTextrunContainer

    public class RtfListItem

extends RtfContainer
implements IRtfTextrunContainer, IRtfListContainer, IRtfParagraphContainer

Model of an RTF list item, which can contain RTF paragraphs.

This work was authored by Bertrand Delacretaz (bdelacretaz@codeconsult.ch) and Andreas Putz (a.putz@skynamics.com).

Nested Class Summary
`class` | `RtfListItem.RtfListItemLabel` special RtfTextrun that is used as list item label

Field Summary

Fields inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement
`attrib, parent, writer`

Method Summary
`int` | `getNumber()` Returns the list number
`RtfList` | `getParentList()` Get the parent list.
`RtfListStyle` | `getRtfListStyle()` Get list style
`RtfTextrun` | `getTextrun()` Get the current textrun.
`RtfList` | `newList(RtfAttributes attrs)` Start a new list after closing current paragraph, list and table
`RtfParagraph` | `newParagraph()` Close current paragraph if any and start a new one with default attributes
`RtfParagraph` | `newParagraph(RtfAttributes attrs)` Close current paragraph if any and start a new one
`void` | `setRtfListStyle(RtfListStyle ls)` Change list style
`protected void` | `writeRtfPrefix()` Overridden to setup the list: start a group with appropriate attributes
`protected void` | `writeRtfSuffix()` End the list group

Methods inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfContainer
`addChild, findChildren, getChildCount, getChildren, isEmpty, okToWriteRtf, setChildren, setOptions, toString, writeRtfContent`

Methods inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement
`close, getParentOfClass, getRtfAttributes, newLine, writeAttributes, writeControlWord, writeControlWordNS, writeExceptionInRtf, writeGroupMark, writeOneAttribute, writeOneAttributeNS, writeRtf, writeStarControlWord, writeStarControlWordNS`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### newParagraph

    public RtfParagraph newParagraph(RtfAttributes attrs)
                              throws java.io.IOException

  Close current paragraph if any and start a new one

  Specified by:
    `newParagraph` in interface `IRtfParagraphContainer`
  Parameters:
    `attrs` - attributes of new paragraph
  Returns:
    new RtfParagraph
  Throws:
    `java.io.IOException` - Thrown when an IO-problem occurs

### newParagraph

    public RtfParagraph newParagraph()
                              throws java.io.IOException

  Close current paragraph if any and start a new one with default attributes

  Specified by:
    `newParagraph` in interface `IRtfParagraphContainer`
  Returns:
    new RtfParagraph
  Throws:
    `java.io.IOException` - Thrown when an IO-problem occurs

### getTextrun

    public RtfTextrun getTextrun()
                          throws java.io.IOException

  Get the current textrun.

  Specified by:
    `getTextrun` in interface `IRtfTextrunContainer`
  Returns:
    current RtfTextrun object
  Throws:
    `java.io.IOException` - Thrown when an IO-problem occurs

### newList

    public RtfList newList(RtfAttributes attrs)
                    throws java.io.IOException

  Start a new list after closing current paragraph, list and table

  Specified by:
    `newList` in interface `IRtfListContainer`
  Parameters:
    `attrs` - attributes of new RftList object
  Returns:
    new RtfList
  Throws:
    `java.io.IOException` - for I/O problems

### writeRtfPrefix

    protected void writeRtfPrefix()
                           throws java.io.IOException

  Overridden to setup the list: start a group with appropriate attributes

  Overrides:
    `writeRtfPrefix` in class `RtfElement`
  Throws:
    `java.io.IOException` - for I/O problems

### writeRtfSuffix

    protected void writeRtfSuffix()
                           throws java.io.IOException

  End the list group

  Overrides:
    `writeRtfSuffix` in class `RtfElement`
  Throws:
    `java.io.IOException` - for I/O problems

### setRtfListStyle

    public void setRtfListStyle(RtfListStyle ls)

  Change list style

  Parameters:
    `ls` - ListStyle to set

### getRtfListStyle

    public RtfListStyle getRtfListStyle()

  Get list style

  Returns:
    ListSytle of the List

### getParentList

    public RtfList getParentList()

  Get the parent list.

  Returns:
    the parent list

### getNumber

    public int getNumber()

  Returns the list number

  Returns:
    list number

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.